Package org.apache.avro.perf.test.generic.jmh_generated

# Class GenericWithOutOfOrderTest_TestStateDecode_jmhType_B1

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.generic.GenericWithOutOfOrderTest.TestStateDecode
org.apache.avro.perf.test.generic.jmh_generated.GenericWithOutOfOrderTest_TestStateDecode_jmhType_B1

Direct Known Subclasses:
  `GenericWithOutOfOrderTest_TestStateDecode_jmhType_B2`

public class GenericWithOutOfOrderTest_TestStateDecode_jmhType_B1 extends GenericWithOutOfOrderTest.TestStateDecode

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`GenericWithOutOfOrderTest_TestStateDecode_jmhType_B1()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.generic.GenericWithOutOfOrderTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericWithOutOfOrderTest_TestStateDecode_jmhType_B1

public GenericWithOutOfOrderTest_TestStateDecode_jmhType_B1()